#!/bin/bash

MNT_POINT='/media/luca/Backup'

# Partizione "Data"
EXCLUDES=$HOME/bin/exclude-Data.txt
rsync -av --exclude-from=$EXCLUDES /Data/ $MNT_POINT/Data/

#rsync -av --mkpath /Data/imm-disco/ $MNT_POINT/imm-disco/

# Linux Mint 21
rsync -av --mkpath --delete $HOME/Scaricati/ $MNT_POINT/Linux_Mint/Scaricati/
rsync -av --mkpath --delete $HOME/Scrivania/ $MNT_POINT/Linux_Mint/Scrivania/
## Config files (Git repository)
rsync -av --mkpath --delete $HOME/config-files/ $MNT_POINT/Linux_Mint/config-files/
## file nascosti
#rsync -av --mkpath $HOME/.thunderbird/ $MNT_POINT/Linux_Mint/.thunderbird/
#rsync -av --mkpath $HOME/.gnupg/ $MNT_POINT/Linux_Mint/.gnupg/

# Fedora KDE
#rsync -av --mkpath --delete $HOME/Scaricati/ $MNT_POINT/Fedora/Scaricati/
#rsync -av --mkpath --delete $HOME/Scrivania/ $MNT_POINT/Fedora/Scrivania/
## Config files (Git repository)
#rsync -av --mkpath --delete $HOME/config-files/ $MNT_POINT/Fedora/config-files/

# home (generica)
rsync -av --mkpath $HOME/Pubblici/ $MNT_POINT/home/Pubblici/
rsync -av --mkpath $HOME/Modelli/ $MNT_POINT/home/Modelli/
## bin
rsync -av --mkpath $HOME/bin/ $MNT_POINT/home/bin/
rsync -av --mkpath $HOME/.local/bin/ $MNT_POINT/home/.local/bin/
## file nascosti
rsync -av --mkpath $HOME/.local/share/strawberry/ $MNT_POINT/home/.local/share/strawberry/
rsync -av --mkpath $HOME/.config/strawberry/ $MNT_POINT/home/.config/strawberry/
rsync -a --mkpath --delete $HOME/.local/share/TelegramDesktop/ $MNT_POINT/home/.local/share/TelegramDesktop/
## themes e icons
#rsync -av --mkpath --delete $HOME/.icons/ $MNT_POINT/home/.icons/
#rsync -av --mkpath --delete $HOME/.themes/ $MNT_POINT/home/.themes/
## altro
rsync -av --mkpath --delete $HOME/CD-audio/ $MNT_POINT/home/CD-audio/
## VSCodium extensions
#rsync -a --mkpath --delete $HOME/.vscode-oss/extensions/ $MNT_POINT/home/.vscode-oss/extensions/
## SSH keys
#rsync -av --mkpath $HOME/.ssh/ $MNT_POINT/home/.ssh/

# Argomenti di rsync
# -a = -rlptgoD (no -A -X -U -N -H)
# -r = recursive
# -l = copy symlinks as symlinks
# -p = preserve permissions
# -t = preserve modification times
# -g = preserve group
# -o = preserve owner
# -D = --devices --specials
# --devices = preserve device-files (super-user only)
# --specials = preserve special files
